Skip to main content
GET
Node.js

Authorizations

x-api-key
string
header
required

Query Parameters

url
string<uri>

YouTube video URL. See supported URL formats.

Example:

"https://youtu.be/dQw4w9WgXcQ"

videoId
string

YouTube video ID. Alternative to URL.

Example:

"dQw4w9WgXcQ"

text
boolean
default:false

When true, returns plain text transcript.

chunkSize
number

Maximum characters per transcript chunk (only when text=false)

Required range: 50 <= x <= 10000
Example:

1000

lang
string

Preferred language code of the transcript (ISO 639-1). If not provided, the first available language will be returned. If the requested language is unavailable, the API defaults to the first available language. See Languages.

Example:

"en"

Response

Successfully fetched transcript

content
required
lang
string
required

ISO 639-1 language code of transcript

Example:

"en"

availableLangs
string[]
required

List of available language codes

Example: